diff --git a/doc/bash.0 b/doc/bash.0
index cec51773..29769d53 100644
--- a/doc/bash.0
+++ b/doc/bash.0
@@ -1504,235 +1513,235 @@ EEXXPPAANNSSIIOONN
 
        Each variable assignment is checked for unquoted tilde-prefixes immedi-
        ately following a :: or the first ==.  In these cases, tilde expansion is
-       also performed.  Consequently, one may use  filenames  with  tildes  in
-       assignments  to  PPAATTHH,  MMAAIILLPPAATTHH, and CCDDPPAATTHH, and the shell assigns the
+       also  performed.   Consequently,  one  may use filenames with tildes in
+       assignments to PPAATTHH, MMAAIILLPPAATTHH, and CCDDPPAATTHH, and the  shell  assigns  the
        expanded value.
 
    PPaarraammeetteerr EExxppaannssiioonn
        The `$$' character introduces parameter expansion, command substitution,
-       or  arithmetic  expansion.  The parameter name or symbol to be expanded
-       may be enclosed in braces, which are optional but serve to protect  the
-       variable  to be expanded from characters immediately following it which
+       or arithmetic expansion.  The parameter name or symbol to  be  expanded
+       may  be enclosed in braces, which are optional but serve to protect the
+       variable to be expanded from characters immediately following it  which
        could be interpreted as part of the name.
 
-       When braces are used, the matching ending brace is the  first  `}}'  not
-       escaped  by  a  backslash  or within a quoted string, and not within an
+       When  braces  are  used, the matching ending brace is the first `}}' not
+       escaped by a backslash or within a quoted string,  and  not  within  an
        embedded  arithmetic  expansion,  command  substitution,  or  parameter
        expansion.
 
        ${_p_a_r_a_m_e_t_e_r}
-              The  value of _p_a_r_a_m_e_t_e_r is substituted.  The braces are required
-              when _p_a_r_a_m_e_t_e_r is a positional  parameter  with  more  than  one
+              The value of _p_a_r_a_m_e_t_e_r is substituted.  The braces are  required
+              when  _p_a_r_a_m_e_t_e_r  is  a  positional  parameter with more than one
               digit, or when _p_a_r_a_m_e_t_e_r is followed by a character which is not
               to be interpreted as part of its name.  The _p_a_r_a_m_e_t_e_r is a shell
-              parameter  as  described above PPAARRAAMMEETTEERRSS) or an array reference
+              parameter as described above PPAARRAAMMEETTEERRSS) or an  array  reference
               (AArrrraayyss).
 
-       If the first character of _p_a_r_a_m_e_t_e_r is an exclamation  point  (!!),  and
-       _p_a_r_a_m_e_t_e_r  is not a _n_a_m_e_r_e_f, it introduces a level of variable indirec-
-       tion.  BBaasshh uses the value of the variable  formed  from  the  rest  of
-       _p_a_r_a_m_e_t_e_r  as  the name of the variable; this variable is then expanded
+       If  the  first  character of _p_a_r_a_m_e_t_e_r is an exclamation point (!!), and
+       _p_a_r_a_m_e_t_e_r is not a _n_a_m_e_r_e_f, it introduces a level of variable  indirec-
+       tion.   BBaasshh  uses  the  value  of the variable formed from the rest of
+       _p_a_r_a_m_e_t_e_r as the name of the variable; this variable is  then  expanded
        and that value is used in the rest of the substitution, rather than the
-       value  of  _p_a_r_a_m_e_t_e_r  itself.  This is known as _i_n_d_i_r_e_c_t _e_x_p_a_n_s_i_o_n.  If
+       value of _p_a_r_a_m_e_t_e_r itself.  This is known as  _i_n_d_i_r_e_c_t  _e_x_p_a_n_s_i_o_n.   If
        _p_a_r_a_m_e_t_e_r is a nameref, this expands to the name of the variable refer-
-       enced  by  _p_a_r_a_m_e_t_e_r instead of performing the complete indirect expan-
-       sion.  The exceptions to this are the  expansions  of  ${!!_p_r_e_f_i_x**}  and
-       ${!!_n_a_m_e[_@]}  described  below.   The exclamation point must immediately
+       enced by _p_a_r_a_m_e_t_e_r instead of performing the complete  indirect  expan-
+       sion.   The  exceptions  to  this are the expansions of ${!!_p_r_e_f_i_x**} and
+       ${!!_n_a_m_e[_@]} described below.  The exclamation  point  must  immediately
        follow the left brace in order to introduce indirection.
 
        In each of the cases below, _w_o_r_d is subject to tilde expansion, parame-
        ter expansion, command substitution, and arithmetic expansion.
 
-       When  not  performing  substring  expansion, using the forms documented
-       below (e.g., ::--), bbaasshh tests for a parameter that  is  unset  or  null.
-       Omitting  the  colon  results  in  a  test only for a parameter that is
+       When not performing substring expansion,  using  the  forms  documented
+       below  (e.g.,  ::--),  bbaasshh  tests for a parameter that is unset or null.
+       Omitting the colon results in a test  only  for  a  parameter  that  is
        unset.
 
        ${_p_a_r_a_m_e_t_e_r::--_w_o_r_d}
-              UUssee DDeeffaauulltt VVaalluueess.  If _p_a_r_a_m_e_t_e_r is unset or null,  the  expan-
-              sion  of _w_o_r_d is substituted.  Otherwise, the value of _p_a_r_a_m_e_t_e_r
+              UUssee  DDeeffaauulltt  VVaalluueess.  If _p_a_r_a_m_e_t_e_r is unset or null, the expan-
+              sion of _w_o_r_d is substituted.  Otherwise, the value of  _p_a_r_a_m_e_t_e_r
               is substituted.
        ${_p_a_r_a_m_e_t_e_r::==_w_o_r_d}
-              AAssssiiggnn DDeeffaauulltt VVaalluueess.  If  _p_a_r_a_m_e_t_e_r  is  unset  or  null,  the
+              AAssssiiggnn  DDeeffaauulltt  VVaalluueess.   If  _p_a_r_a_m_e_t_e_r  is  unset or null, the
               expansion of _w_o_r_d is assigned to _p_a_r_a_m_e_t_e_r.  The value of _p_a_r_a_m_-
-              _e_t_e_r is then substituted.   Positional  parameters  and  special
+              _e_t_e_r  is  then  substituted.   Positional parameters and special
               parameters may not be assigned to in this way.
        ${_p_a_r_a_m_e_t_e_r::??_w_o_r_d}
-              DDiissppllaayy  EErrrroorr iiff NNuullll oorr UUnnsseett.  If _p_a_r_a_m_e_t_e_r is null or unset,
-              the expansion of _w_o_r_d (or a message to that effect  if  _w_o_r_d  is
-              not  present) is written to the standard error and the shell, if
+              DDiissppllaayy EErrrroorr iiff NNuullll oorr UUnnsseett.  If _p_a_r_a_m_e_t_e_r is null or  unset,
+              the  expansion  of  _w_o_r_d (or a message to that effect if _w_o_r_d is
+              not present) is written to the standard error and the shell,  if
               it is not interactive, exits.  Otherwise, the value of _p_a_r_a_m_e_t_e_r
               is substituted.
        ${_p_a_r_a_m_e_t_e_r::++_w_o_r_d}
-              UUssee  AAlltteerrnnaattee VVaalluuee.  If _p_a_r_a_m_e_t_e_r is null or unset, nothing is
+              UUssee AAlltteerrnnaattee VVaalluuee.  If _p_a_r_a_m_e_t_e_r is null or unset, nothing  is
               substituted, otherwise the expansion of _w_o_r_d is substituted.
        ${_p_a_r_a_m_e_t_e_r::_o_f_f_s_e_t}
        ${_p_a_r_a_m_e_t_e_r::_o_f_f_s_e_t::_l_e_n_g_t_h}
-              SSuubbssttrriinngg EExxppaannssiioonn.  Expands to up to _l_e_n_g_t_h characters of  the
-              value  of  _p_a_r_a_m_e_t_e_r starting at the character specified by _o_f_f_-
+              SSuubbssttrriinngg  EExxppaannssiioonn.  Expands to up to _l_e_n_g_t_h characters of the
+              value of _p_a_r_a_m_e_t_e_r starting at the character specified  by  _o_f_f_-
               _s_e_t.  If _p_a_r_a_m_e_t_e_r is @@, an indexed array subscripted by @@ or **,
-              or  an  associative  array name, the results differ as described
-              below.  If _l_e_n_g_t_h is omitted, expands to the  substring  of  the
+              or an associative array name, the results  differ  as  described
+              below.   If  _l_e_n_g_t_h  is omitted, expands to the substring of the
               value of _p_a_r_a_m_e_t_e_r starting at the character specified by _o_f_f_s_e_t
-              and extending to the end of the value.  _l_e_n_g_t_h  and  _o_f_f_s_e_t  are
+              and  extending  to  the end of the value.  _l_e_n_g_t_h and _o_f_f_s_e_t are
               arithmetic expressions (see AARRIITTHHMMEETTIICC EEVVAALLUUAATTIIOONN below).
 
-              If  _o_f_f_s_e_t  evaluates  to  a number less than zero, the value is
-              used as an offset in characters from the end  of  the  value  of
-              _p_a_r_a_m_e_t_e_r.   If  _l_e_n_g_t_h evaluates to a number less than zero, it
-              is interpreted as an offset in characters from the  end  of  the
-              value  of  _p_a_r_a_m_e_t_e_r rather than a number of characters, and the
-              expansion is the characters  between  _o_f_f_s_e_t  and  that  result.
-              Note  that a negative offset must be separated from the colon by
-              at least one space to avoid being confused with  the  ::--  expan-
+              If _o_f_f_s_e_t evaluates to a number less than  zero,  the  value  is
+              used  as  an  offset  in characters from the end of the value of
+              _p_a_r_a_m_e_t_e_r.  If _l_e_n_g_t_h evaluates to a number less than  zero,  it
+              is  interpreted  as  an offset in characters from the end of the
+              value of _p_a_r_a_m_e_t_e_r rather than a number of characters,  and  the
+              expansion  is  the  characters  between  _o_f_f_s_e_t and that result.
+              Note that a negative offset must be separated from the colon  by
+              at  least  one  space to avoid being confused with the ::-- expan-
               sion.
 
-              If  _p_a_r_a_m_e_t_e_r  is  @@, the result is _l_e_n_g_t_h positional parameters
+              If _p_a_r_a_m_e_t_e_r is @@, the result is  _l_e_n_g_t_h  positional  parameters
               beginning at _o_f_f_s_e_t.  A negative _o_f_f_s_e_t is taken relative to one
-              greater  than the greatest positional parameter, so an offset of
-              -1 evaluates to the last positional parameter.  It is an  expan-
+              greater than the greatest positional parameter, so an offset  of
+              -1  evaluates to the last positional parameter.  It is an expan-
               sion error if _l_e_n_g_t_h evaluates to a number less than zero.
 
               If _p_a_r_a_m_e_t_e_r is an indexed array name subscripted by @ or *, the
-              result is  the  _l_e_n_g_t_h  members  of  the  array  beginning  with
-              ${_p_a_r_a_m_e_t_e_r[_o_f_f_s_e_t]}.   A  negative  _o_f_f_s_e_t is taken relative to
-              one greater than the maximum index of the specified  array.   It
-              is  an expansion error if _l_e_n_g_t_h evaluates to a number less than
+              result  is  the  _l_e_n_g_t_h  members  of  the  array  beginning with
+              ${_p_a_r_a_m_e_t_e_r[_o_f_f_s_e_t]}.  A negative _o_f_f_s_e_t is  taken  relative  to
+              one  greater  than the maximum index of the specified array.  It
+              is an expansion error if _l_e_n_g_t_h evaluates to a number less  than
               zero.
 
-              Substring expansion applied to  an  associative  array  produces
+              Substring  expansion  applied  to  an associative array produces
               undefined results.
 
-              Substring  indexing  is zero-based unless the positional parame-
-              ters are used, in  which  case  the  indexing  starts  at  1  by
-              default.   If  _o_f_f_s_e_t  is  0,  and the positional parameters are
+              Substring indexing is zero-based unless the  positional  parame-
+              ters  are  used,  in  which  case  the  indexing  starts at 1 by
+              default.  If _o_f_f_s_e_t is 0,  and  the  positional  parameters  are
               used, $$00 is prefixed to the list.
 
        ${!!_p_r_e_f_i_x**}
        ${!!_p_r_e_f_i_x@@}
-              NNaammeess mmaattcchhiinngg pprreeffiixx.  Expands to the names of variables  whose
+              NNaammeess  mmaattcchhiinngg pprreeffiixx.  Expands to the names of variables whose
               names begin with _p_r_e_f_i_x, separated by the first character of the
-              IIFFSS special variable.  When _@ is used and the expansion  appears
-              within  double  quotes, each variable name expands to a separate
+              IIFFSS  special variable.  When _@ is used and the expansion appears
+              within double quotes, each variable name expands to  a  separate
               word.
 
        ${!!_n_a_m_e[_@]}
        ${!!_n_a_m_e[_*]}
-              LLiisstt ooff aarrrraayy kkeeyyss.  If _n_a_m_e is an array  variable,  expands  to
-              the  list  of array indices (keys) assigned in _n_a_m_e.  If _n_a_m_e is
-              not an array, expands to 0 if _n_a_m_e is set  and  null  otherwise.
-              When  _@  is used and the expansion appears within double quotes,
+              LLiisstt  ooff  aarrrraayy  kkeeyyss.  If _n_a_m_e is an array variable, expands to
+              the list of array indices (keys) assigned in _n_a_m_e.  If  _n_a_m_e  is
+              not  an  array,  expands to 0 if _n_a_m_e is set and null otherwise.
+              When _@ is used and the expansion appears within  double  quotes,
               each key expands to a separate word.
 
        ${##_p_a_r_a_m_e_t_e_r}
-              PPaarraammeetteerr lleennggtthh.  The length in  characters  of  the  value  of
-              _p_a_r_a_m_e_t_e_r  is  substituted.   If  _p_a_r_a_m_e_t_e_r is ** or @@, the value
-              substituted is the number of positional parameters.  If  _p_a_r_a_m_e_-
-              _t_e_r  is  an  array name subscripted by ** or @@, the value substi-
-              tuted is the number of elements in the array.  If  _p_a_r_a_m_e_t_e_r  is
-              an  indexed  array  name  subscripted by a negative number, that
-              number is interpreted as relative to one greater than the  maxi-
-              mum  index of _p_a_r_a_m_e_t_e_r, so negative indices count back from the
-              end of the array, and an index of -1 references  the  last  ele-
+              PPaarraammeetteerr  lleennggtthh.   The  length  in  characters of the value of
+              _p_a_r_a_m_e_t_e_r is substituted.  If _p_a_r_a_m_e_t_e_r is **  or  @@,  the  value
+              substituted  is the number of positional parameters.  If _p_a_r_a_m_e_-
+              _t_e_r is an array name subscripted by ** or @@,  the  value  substi-
+              tuted  is  the number of elements in the array.  If _p_a_r_a_m_e_t_e_r is
+              an indexed array name subscripted by  a  negative  number,  that
+              number  is interpreted as relative to one greater than the maxi-
+              mum index of _p_a_r_a_m_e_t_e_r, so negative indices count back from  the
+              end  of  the  array, and an index of -1 references the last ele-
               ment.
 
        ${_p_a_r_a_m_e_t_e_r##_w_o_r_d}
        ${_p_a_r_a_m_e_t_e_r####_w_o_r_d}
               RReemmoovvee mmaattcchhiinngg pprreeffiixx ppaatttteerrnn.  The _w_o_r_d is expanded to produce
               a pattern just as in pathname expansion.  If the pattern matches
-              the  beginning of the value of _p_a_r_a_m_e_t_e_r, then the result of the
-              expansion is the expanded value of _p_a_r_a_m_e_t_e_r with  the  shortest
-              matching  pattern  (the ``##'' case) or the longest matching pat-
-              tern (the ``####'' case) deleted.  If _p_a_r_a_m_e_t_e_r is  @@  or  **,  the
-              pattern  removal operation is applied to each positional parame-
+              the beginning of the value of _p_a_r_a_m_e_t_e_r, then the result of  the
+              expansion  is  the expanded value of _p_a_r_a_m_e_t_e_r with the shortest
+              matching pattern (the ``##'' case) or the longest  matching  pat-
+              tern  (the  ``####''  case)  deleted.  If _p_a_r_a_m_e_t_e_r is @@ or **, the
+              pattern removal operation is applied to each positional  parame-
               ter in turn, and the expansion is the resultant list.  If _p_a_r_a_m_-
-              _e_t_e_r  is  an array variable subscripted with @@ or **, the pattern
-              removal operation is applied to each  member  of  the  array  in
+              _e_t_e_r is an array variable subscripted with @@ or **,  the  pattern
+              removal  operation  is  applied  to  each member of the array in
               turn, and the expansion is the resultant list.
 
        ${_p_a_r_a_m_e_t_e_r%%_w_o_r_d}
        ${_p_a_r_a_m_e_t_e_r%%%%_w_o_r_d}
               RReemmoovvee mmaattcchhiinngg ssuuffffiixx ppaatttteerrnn.  The _w_o_r_d is expanded to produce
               a pattern just as in pathname expansion.  If the pattern matches
-              a  trailing portion of the expanded value of _p_a_r_a_m_e_t_e_r, then the
-              result of the expansion is the expanded value of _p_a_r_a_m_e_t_e_r  with
-              the  shortest  matching  pattern (the ``%%'' case) or the longest
-              matching pattern (the ``%%%%'' case) deleted.  If _p_a_r_a_m_e_t_e_r  is  @@
-              or  **,  the  pattern  removal operation is applied to each posi-
-              tional parameter in turn, and the  expansion  is  the  resultant
-              list.   If  _p_a_r_a_m_e_t_e_r is an array variable subscripted with @@ or
-              **, the pattern removal operation is applied to  each  member  of
+              a trailing portion of the expanded value of _p_a_r_a_m_e_t_e_r, then  the
+              result  of the expansion is the expanded value of _p_a_r_a_m_e_t_e_r with
+              the shortest matching pattern (the ``%%'' case)  or  the  longest
+              matching  pattern  (the ``%%%%'' case) deleted.  If _p_a_r_a_m_e_t_e_r is @@
+              or **, the pattern removal operation is  applied  to  each  posi-
+              tional  parameter  in  turn,  and the expansion is the resultant
+              list.  If _p_a_r_a_m_e_t_e_r is an array variable subscripted with  @@  or
+              **,  the  pattern  removal operation is applied to each member of
               the array in turn, and the expansion is the resultant list.
 
        ${_p_a_r_a_m_e_t_e_r//_p_a_t_t_e_r_n//_s_t_r_i_n_g}
               PPaatttteerrnn ssuubbssttiittuuttiioonn.  The _p_a_t_t_e_r_n is expanded to produce a pat-
-              tern just as in pathname expansion.  _P_a_r_a_m_e_t_e_r is  expanded  and
-              the  longest match of _p_a_t_t_e_r_n against its value is replaced with
-              _s_t_r_i_n_g.  If _p_a_t_t_e_r_n begins with //, all matches  of  _p_a_t_t_e_r_n  are
-              replaced   with  _s_t_r_i_n_g.   Normally  only  the  first  match  is
+              tern  just  as in pathname expansion.  _P_a_r_a_m_e_t_e_r is expanded and
+              the longest match of _p_a_t_t_e_r_n against its value is replaced  with
+              _s_t_r_i_n_g.   If  _p_a_t_t_e_r_n  begins with //, all matches of _p_a_t_t_e_r_n are
+              replaced  with  _s_t_r_i_n_g.   Normally  only  the  first  match   is
               replaced.  If _p_a_t_t_e_r_n begins with ##, it must match at the begin-
               ning of the expanded value of _p_a_r_a_m_e_t_e_r.  If _p_a_t_t_e_r_n begins with
-              %%, it must match at the end of the expanded value of  _p_a_r_a_m_e_t_e_r.
+              %%,  it must match at the end of the expanded value of _p_a_r_a_m_e_t_e_r.
               If _s_t_r_i_n_g is null, matches of _p_a_t_t_e_r_n are deleted and the // fol-
-              lowing _p_a_t_t_e_r_n may be omitted.  If the nnooccaasseemmaattcchh shell  option
+              lowing  _p_a_t_t_e_r_n may be omitted.  If the nnooccaasseemmaattcchh shell option
               is enabled, the match is performed without regard to the case of
               alphabetic characters.  If _p_a_r_a_m_e_t_e_r is @@ or **, the substitution
-              operation  is  applied to each positional parameter in turn, and
-              the expansion is the resultant list.  If _p_a_r_a_m_e_t_e_r is  an  array
-              variable  subscripted with @@ or **, the substitution operation is
-              applied to each member of the array in turn, and  the  expansion
+              operation is applied to each positional parameter in  turn,  and
+              the  expansion  is the resultant list.  If _p_a_r_a_m_e_t_e_r is an array
+              variable subscripted with @@ or **, the substitution operation  is
+              applied  to  each member of the array in turn, and the expansion
               is the resultant list.
 
        ${_p_a_r_a_m_e_t_e_r^^_p_a_t_t_e_r_n}
        ${_p_a_r_a_m_e_t_e_r^^^^_p_a_t_t_e_r_n}
        ${_p_a_r_a_m_e_t_e_r,,_p_a_t_t_e_r_n}
        ${_p_a_r_a_m_e_t_e_r,,,,_p_a_t_t_e_r_n}
-              CCaassee  mmooddiiffiiccaattiioonn.   This expansion modifies the case of alpha-
-              betic characters in _p_a_r_a_m_e_t_e_r.  The _p_a_t_t_e_r_n is expanded to  pro-
+              CCaassee mmooddiiffiiccaattiioonn.  This expansion modifies the case  of  alpha-
+              betic  characters in _p_a_r_a_m_e_t_e_r.  The _p_a_t_t_e_r_n is expanded to pro-
               duce a pattern just as in pathname expansion.  Each character in
-              the expanded value of _p_a_r_a_m_e_t_e_r is tested against _p_a_t_t_e_r_n,  and,
-              if  it  matches the pattern, its case is converted.  The pattern
-              should not attempt to match more  than  one  character.   The  ^^
-              operator  converts  lowercase letters matching _p_a_t_t_e_r_n to upper-
+              the  expanded value of _p_a_r_a_m_e_t_e_r is tested against _p_a_t_t_e_r_n, and,
+              if it matches the pattern, its case is converted.   The  pattern
+              should  not  attempt  to  match  more than one character.  The ^^
+              operator converts lowercase letters matching _p_a_t_t_e_r_n  to  upper-
               case; the ,, operator converts matching uppercase letters to low-
               ercase.  The ^^^^ and ,,,, expansions convert each matched character
-              in the expanded value; the ^^ and ,, expansions match and  convert
-              only  the  first character in the expanded value.  If _p_a_t_t_e_r_n is
-              omitted, it is treated like a ??, which matches every  character.
-              If  _p_a_r_a_m_e_t_e_r  is  @@  or  **,  the case modification operation is
-              applied to each positional parameter in turn, and the  expansion
-              is  the  resultant list.  If _p_a_r_a_m_e_t_e_r is an array variable sub-
+              in  the expanded value; the ^^ and ,, expansions match and convert
+              only the first character in the expanded value.  If  _p_a_t_t_e_r_n  is
+              omitted,  it is treated like a ??, which matches every character.
+              If _p_a_r_a_m_e_t_e_r is @@ or  **,  the  case  modification  operation  is
+              applied  to each positional parameter in turn, and the expansion
+              is the resultant list.  If _p_a_r_a_m_e_t_e_r is an array  variable  sub-
               scripted with @@ or **, the case modification operation is applied
-              to  each  member  of the array in turn, and the expansion is the
+              to each member of the array in turn, and the  expansion  is  the
               resultant list.
 
        ${_p_a_r_a_m_e_t_e_r@@_o_p_e_r_a_t_o_r}
               PPaarraammeetteerr ttrraannssffoorrmmaattiioonn.  The expansion is either a transforma-
-              tion  of  the  value of _p_a_r_a_m_e_t_e_r or information about _p_a_r_a_m_e_t_e_r
-              itself, depending on the value of _o_p_e_r_a_t_o_r.  Each _o_p_e_r_a_t_o_r is  a
+              tion of the value of _p_a_r_a_m_e_t_e_r or  information  about  _p_a_r_a_m_e_t_e_r
+              itself,  depending on the value of _o_p_e_r_a_t_o_r.  Each _o_p_e_r_a_t_o_r is a
               single letter:
 
-              QQ      The  expansion is a string that is the value of _p_a_r_a_m_e_t_e_r
+              QQ      The expansion is a string that is the value of  _p_a_r_a_m_e_t_e_r
                      quoted in a format that can be reused as input.
-              EE      The expansion is a string that is the value of  _p_a_r_a_m_e_t_e_r
-                     with  backslash  escape  sequences  expanded  as with the
+              EE      The  expansion is a string that is the value of _p_a_r_a_m_e_t_e_r
+                     with backslash escape  sequences  expanded  as  with  the
                      $$''......'' quoting mechansim.
               PP      The expansion is a string that is the result of expanding
                      the value of _p_a_r_a_m_e_t_e_r as if it were a prompt string (see
                      PPRROOMMPPTTIINNGG below).
-              AA      The expansion is a string in the form of a  ddeeccllaarree  com-
+              AA      The  expansion  is a string in the form of a ddeeccllaarree com-
                      mand that, if evaluated, will recreate _p_a_r_a_m_e_t_e_r with its
                      attributes and value.
-              aa      The expansion is a string consisting of flag values  rep-
+              aa      The  expansion is a string consisting of flag values rep-
                      resenting _p_a_r_a_m_e_t_e_r's attributes.
 
-              If  _p_a_r_a_m_e_t_e_r  is @@ or **, the operation is applied to each posi-
-              tional parameter in turn, and the  expansion  is  the  resultant
-              list.   If  _p_a_r_a_m_e_t_e_r is an array variable subscripted with @@ or
-              **, the case modification operation is applied to each member  of
+              If _p_a_r_a_m_e_t_e_r is @@ or **, the operation is applied to  each  posi-
+              tional  parameter  in  turn,  and the expansion is the resultant
+              list.  If _p_a_r_a_m_e_t_e_r is an array variable subscripted with  @@  or
+              **,  the case modification operation is applied to each member of
               the array in turn, and the expansion is the resultant list.
 
-              The  result  of  the  expansion is subject to word splitting and
+              The result of the expansion is subject  to  word  splitting  and
               pathname expansion as described below.
 
    CCoommmmaanndd SSuubbssttiittuuttiioonn
